## Digital Earth 'Controls and Indicators for Flood Impacts' Backend Module
`cifi` backend module provides functions to access flood event data and identify relevant controls
and useful indicators for the assessment of flood impacts (CIFI). This module contains a data acquisition pipeline
to scrape available resources from the Copernicus Emergency Management Service (EMS) website and 
upload them to a workspace on a configured geoserver instance. The functions are exposed via the 
[DASF RCP messaging protocol](https://git.geomar.de/digital-earth/dasf/dasf-messaging-python).
It is used by the [Socio-Economic Flood Impacts Workflow](https://git.geomar.de/digital-earth/flood-event-explorer/fee-socio-impact-workflow) 
as part of the [Digital Earth Flood Event Explorer](https://git.geomar.de/digital-earth/flood-event-explorer).

`cifi` is developed at the GFZ German Research Centre for Geosciences (https://www.gfz-potsdam.de) and
funded by the Initiative and Networking Fund of the Helmholtz Association through the Digital Earth project
(https://www.digitalearth-hgf.de/).

### Build instructions
1. clone repo
2. cd into project folder and create a virtual environment via `python3 -m venv venv`
3. activate the virtual environment `source venv/bin/activate`
4. install wheel and cython dependencies before installing the requirements `pip install wheel cython`
5. install requirements via `pip install -r requirements`

### Run instructions
1. configure the message broker parameters in `cifi_message_handler.py`
2. configure the acquisition pipeline parameters in `cifi_message_handler.py`
3. start the module via `pyhton cifi_backend_module.py`

### License
```
Copyright 2021 Helmholtz Centre Potsdam GFZ German Research Centre for Geosciences, Potsdam, Germany

Licensed under the Apache License, Version 2.0 (the "License");
you may not use these files except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

### Recommended Software Citation

`TBD`

### Contact
Dr.-Ing. Daniel Eggert  
eMail: <daniel.eggert@gfz-potsdam.de>


Helmholtz Centre Potsdam GFZ German Research Centre for Geoscienes  
Section 1.4 Remote Sensing & Geoinformatics  
Telegrafenberg  
14473 Potsdam  
Germany
