import atexit
from cifi_message_handler import CifiMessageHandler


def at_exit(msg_handler):
    msg_handler.stop()


def main():
    # init pulsar handler and wait for incoming messages
    msg_handler = CifiMessageHandler()

    # register exit hook for graceful disconnect
    atexit.register(at_exit, msg_handler)

    # start message handler
    msg_handler.start()


if __name__ == '__main__':
    main()
